This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509467 - GroupingError: group_set failed
GroupingError: group_set failed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-pyblock (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
anaconda_trace_hash:49c14f7f7d878d07f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 20:37 EDT by Lacrocivious Acrophosist
Modified: 2009-08-15 18:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 10:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (16.64 KB, text/plain)
2009-07-02 20:37 EDT, Lacrocivious Acrophosist
no flags Details

  None (edit)
Description Lacrocivious Acrophosist 2009-07-02 20:37:26 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/block/__init__.py", line 198, in getRaidSets
    for rs in c.get_raidsets(disks):
  File "/usr/lib/python2.6/site-packages/block/__init__.py", line 370, in getRaidSetFromRelatedMem
    for rs in getRaidSets():
  File "/usr/lib/anaconda/storage/devicetree.py", line 1387, in handleUdevDMRaidMemberFormat
    major=major, minor=minor)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1543, in handleUdevDeviceFormat
    self.handleUdevDMRaidMemberFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1201, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1691, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 302, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 73, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
GroupingError: group_set failed
Comment 1 Lacrocivious Acrophosist 2009-07-02 20:37:32 EDT
Created attachment 350364 [details]
Attached traceback automatically from anaconda.
Comment 2 Hans de Goede 2009-07-10 05:33:22 EDT
I think this is a dmraid bug, can you please start the F-11 installer on this
system again, then go to tty (ctrl + alt + f2), and do:
dmraid -vv -r

And paste the output here ?

Thank!
Comment 3 Lacrocivious Acrophosist 2009-07-10 10:19:38 EDT
Hans de Goede--

dmraid info as requested, with some additions I hope you find useful:

Asus A8V Mainboard
ASUS A8V Deluxe ACPI BIOS Revision 1018 BETA 002
CPU : AMD Athlon(tm) 64 Processor 3200+
Advanced/Onboard Devices Configuration/OnBoard Promise Controller [Enabled]
 Operating Mode [Onboard IDE Operat] <--other setting is 'RAID Mode'

Note that F11 anaconda during the install attempt that generated this bug stubbornly identified VIA VT8237 controller SATA_1 HD as sdc instead of sda as previous Fedora versions had seen it. Promise controller was *not* set to RAID mode and the F11 target HD was not connected to the Promise controller. Also note that this mainboard has been roundly criticized for BIOS flakiness with regard to how it treats HD additions and changes, and that the system is incapable of booting either from SATA optical drives or from USB flash drives.

I was finally able to install F11 from LiveCD after physically disconnecting the other two HDs from Promise PDC20378 SATA_RAID1 and SATA_RAID2. At this point anaconda correctly saw the SATA_1 HD as sda, and having left the two blank partitions presently required by LiveCD, I was able to successfully finish installation. When the two remaining HDs were reconnected to the Promise SATA_RAID1 and SATA_RAID2 (*non*-RAID mode) controller post-install, they were correctly identified as sdb and sdc respectively.


[TYPO ALERT! tty2 and tty3 screens following were manually transcribed from display]

_________________________

Fedora release 11 (Leonidas)
Kernel 2.6.29.4-167.fc11.i586 on an i686 (tty2)

localhost login: root
[root@localhost ~]# dmraid -vv -r
NOTICE: /dev/sdc: asr     discovering
NOTICE: /dev/sdc: ddf1    discovering
NOTICE: /dev/sdc: hpt37x  discovering
NOTICE: /dev/sdc: hpt45x  discovering
NOTICE: /dev/sdc: isw     discovering
NOTICE: /dev/sdc: jmicron discovering
NOTICE: /dev/sdc: lsi     discovering
NOTICE: /dev/sdc: nvidia  discovering
NOTICE: /dev/sdc: pdc     discovering
NOTICE: /dev/sdc: sil     discovering
NOTICE: /dev/sdc: via     discovering
NOTICE: /dev/sdb: asr     discovering
NOTICE: /dev/sdb: ddf1    discovering
NOTICE: /dev/sdb: hpt37x  discovering
NOTICE: /dev/sdb: hpt45x  discovering
NOTICE: /dev/sdb: isw     discovering
NOTICE: /dev/sdb: jmicron discovering
NOTICE: /dev/sdb: lsi     discovering
NOTICE: /dev/sdb: nvidia  discovering
NOTICE: /dev/sdb: pdc     discovering
NOTICE: /dev/sdb: sil     discovering
NOTICE: /dev/sdb: via     discovering
NOTICE: /dev/sda: asr     discovering
NOTICE: /dev/sda: ddf1    discovering
NOTICE: /dev/sda: hpt37x  discovering
NOTICE: /dev/sda: hpt45x  discovering
NOTICE: /dev/sda: isw     discovering
NOTICE: /dev/sda: jmicron discovering
NOTICE: /dev/sda: lsi     discovering
NOTICE: /dev/sda: nvidia  discovering
NOTICE: /dev/sda: pdc metadata discovered
NOTICE: /dev/sda: sil     discovering
NOTICE: /dev/sda: via     discovering
INFO: RAID device discovered:

/dev/sda: pdc, "pdc_dbifhbhji", stripe, ok, 398296960 sectors, data@ 0
[root@localhost ~]#

_________________________

Meanwhile, over in tty3, the remaining screen showing failure:

[2009-07-10 12:36:31,282]    DEBUG: registered device format class DevPtsFS as devpts
[2009-07-10 12:36:31,283]    DEBUG: registered device format class ProcFS as proc
[2009-07-10 12:36:31,283]    DEBUG: registered device format class SysFS as sysfs
[2009-07-10 12:36:31,283]    DEBUG: registered device format class TmpFS as tmpfs
[2009-07-10 12:36:31,283]    DEBUG: registered device format class BindFS as bind
[2009-07-10 12:36:31,284]    DEBUG: registered device format class  MDRaidMember as mdmember
[2009-07-10 12:36:31,285]    DEBUG: registered device format class LVMPhysicalVolume as lvmpv
12:36:33 INFO    : using only installclass _Fedora
12:36:33 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--liveinst', '--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-i']
12:36:33 INFO    : Display mode = g
12:36:33 INFO    : Starting graphical installation...
12:36:33 INFO    : Detected 2016M of memory
12:36:33 INFO    : Swap attempt of 1000M to 4016M
12:36:33 WARNING : step installtype does not exist
12:36:33 WARNING : step comfirminstall does not exist
12:36:33 WARNING : step complete does not exist
12:36:33 INFO    : moving (1) to step welcome
12:36:41 INFO    : moving (1) to step keyboard
12:36:43 INFO    : moving (1) to step storageinit
12:36:43 INFO    : no /tmp/fcpconfig; not configuring zfcp
[2009-07-10 12:36:44,265]     INFO: sr1 looks to be the live device; ignoring
[2009-07-10 12:36:44,270]     INFO: devices to scan: ['sda', 'sda1', 'sdb', 'sdb1', 'sdc', 'sdc1', 'sdc2', 'sdc4' 'sdc5', 'sdc6', 'sdc7', 'sdc8', 'sr0', 'dm-0', 'dm-1']
[2009-07-10 12:36:44,489]    DEBUG: scanning sda (/devices/pci0000:00/0000:00:08.0/host0/target0:0:0/0:0:0:0/block/sda)...
[2009-07-10 12:36:44,489]    DEBUG: looking for device 'sda'...
[2009-07-10 12:36:44,490]    DEBUG: found None
[2009-07-10 12:36:44,490]    DEBUG: sda is part of a dmraid
[2009-07-10 12:36:44,490]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-07-10 12:36:44,495]    DEBUG: added sda (storage device) to device tree
[2009-07-10 12:36:44,497]    DEBUG: {'DKD_PARTITION_TABLE': '1', 'ID_REVISION': 'BANC', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'Maxtor_6B200M0_B40X8C7H', 'ID_PATH': 'pci-0000:00:08.0-scsi-0:0:0:0' 'ID_VENDOR': 'ATA', 'ID-SERIAL': 'SATA_Maxtor_6B200M0_B40X8C7H', 'DKD_PARTITION_TABLE_SCHEME': 'mbr', 'DEVTYPE': 'disk', 'MINOR': '0', 'ID_FS_TYPE': 'promise_fasttrack_raid_member', 'ID_MODEL': 'Maxtor_6B200M0', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:08.0/host0/target0:0:0/0:0:0:0/block/sda', 'ID_FS_USAGE': 'raid', 'ID_TYPE': 'disk', 'ID_BUS': 'scsi', 'symlinks': ['block/8:0', 'disk/by-id/scsi-SATA_Maxtor_6B200M0_B40X8C7H', 'disk/by-id/ata-Maxtor_6B200M0_B40X8C7H', 'disk/by-path/pci-0000:00:08.0-scsi-0:0:0:0'] 'ID_SERIAL_SHORT': 'B40X8C76', 'name': 'sda', 'DKD_ATA_SMART_IS_AVAILABLE': '1', 'ANACBIN': '/sbin', 'ID_MODEL_ENC': 'Maxtor\\x206B200M0\\x20\\x20', 'DKD_MEDIA_AVAILABLE': '1'}
[2009-07-10 12:36:44,498]    DEBUG: type detected on 'sda' is 'promise_fasttrack_raid_member'
[2009-07-10 12:36:44,502]    DEBUG: getFormat('promise_fasttrack_raid_member') returning DMRaidMember instance
12:36:44 CRITICAL: anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/block/__init__.py", line 198, in getRaidSets
    for rs in c.get_raidsets(disks):
  File "/usr/lib/python2.6/site-packages/block/__init__.py", line 370, in getRaidSetFromRelatedMem
    for rs in getRaidSets():
  File "/usr/lib/anaconda/storage/devicetree.py", line 1387, in handleUdevDMRaidMemberFormat
    major=major, minor=minor)
  File :/usr/lib/anaconda/storage/devicetree.py", line 1543, in handleUdevDeviceFormat
    self.handleUdevDMRaidMemberFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1201, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1691, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 302, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 73, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
GroupingError: group_set failed

_________________________
Comment 4 Hans de Goede 2009-07-10 10:47:58 EDT
Ah, I understand now, your promise card / chip may not be in RAID mode, but there still is old promise metadata on the disks confusing us.

You can remove this metadata by doing:
dmraid -x

Note that this should be safe, but make sure you have backups first.
Comment 5 soren riise 2009-08-15 18:24:46 EDT
Im getting a similar problem on a new gigabyte (ga-ma709xt-ud4p) motherboard with build in raid controller -- however im not using the raid and it is turned off and using a recycled but blanks disk. dmraid -vv -r say that it have found one raid, but dmraid -x (to clear) says no raid found, 

However "dmraid -r -E" did the trick.

I do however think it is a bug that the installation script is crashing, and not at least giving the use the option to clear the raid data

Note You need to log in before you can comment on or make changes to this bug.